#!/usr/bin/env ansible-playbook
---
# ./openstack-shelve-env.yml -e ENV_NAME=XXX

- name: shelve servers in env
  hosts: localhost
  tasks:
    - name: get active instance list
      command: openstack server list --status ACTIVE -f value -c Name
      changed_when: no
      register: active_instances

    - debug: var=active_instances

    - name: run openstack cli to active shelve instance in env
      command: openstack server shelve {{item}}
      loop: "{{groups[ENV_NAME]}}"
      when:
        - ENV_NAME in groups
        - item in active_instances.stdout_lines
